Name:       sl
Version:    5.07
Release:    1%{?dist}
Summary:    SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

License:    SL
URL:        https://github.com/scaryrawr/sl
VCS:        git+https://github.com/scaryrawr/sl#407b4ecb4ac68d628b37c712bd2c25685679138c:

Source:    sl-407b4ecb.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  vcpkg
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(ncurses)

%description
SL (Steam Locomotive) runs across your terminal when you type "sl" as you meant to type "ls".

%files
%{_bindir}/%{name}
%license LICENSE

%prep
%setup -T -b 0 -q -n sl

%build
git clone https://github.com/microsoft/vcpkg
export VCPKG_FORCE_SYSTEM_BINARIES=1
export VCPKG_ROOT=$PWD/vcpkg
ln -s `which vcpkg` $VCPKG_ROOT/vcpkg
%cmake -DCMAKE_TOOLCHAIN_FILE="$VCPKG_ROOT/scripts/buildsystems/vcpkg.cmake"
%cmake_build

%install
%cmake_install

%changelog
* Sun Dec 01 2024 Mike Wallio <michael.wallio@outlook.com> 5.07-1
(none)
